define("wildFuryComponentsGameControllerDeclaration", ["BonusInfoPanelApi", "wildFuryJackpotInfoPanelApi", "componentmodelComponentApi", "slotModelApi", "PickerApi", "reelsApi", "gameLayoutApi", "PopupApi", "clientkernelEventbusApi", "betPanelApi", "moneyApi"],
    function(BonusInfoPanelApi, wildFuryJackpotInfoPanelApi, componentmodelComponentApi, slotModelApi, PickerApi, reelsApi, gameLayoutApi, PopupApi, clientkernelEventbusApi, betPanelApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wildFuryComponentsGameControllerDeclaration == 'undefined') {
            var wildFuryComponentsGameControllerDeclaration = {};
        };
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration = function() {};
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration = ck_implements(wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.__name__ = ["wildFuryComponentsGameControllerDeclaration", "GameControllerDeclaration"];
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.getUsedPorts = function() {
            return [betPanelApi.IBetPanelPort, slotModelApi.ISlotModelPort, reelsApi.IReelsPort, gameLayoutApi.IGameLayoutPort, wildFuryJackpotInfoPanelApi.JackpotInfoPanelPort, PopupApi.IPopupPort, PickerApi.IPickerPort, BonusInfoPanelApi.IBonusInfoPanelPort];
        };
        wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration.prototype.__class__ = wildFuryComponentsGameControllerDeclaration.GameControllerDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: wildFuryComponentsGameControllerDeclaration
        };
    });
//# sourceURL=wildFuryGameControllerDeclaration.js